Folks.IndividualAggregator.get_all_potential_matches – folks Reference Manual

# get_all_potential_matches

## Description:

public Map<Individual,Map<Individual,MatchResult>> get_all_potential_matches (MatchResult min_threshold = VERY_HIGH)

Get all combinations between all Individuals.

## Parameters:

min_threshold | the threshold for accepting a match

## Returns:

a map from each individual in the aggregator to a map of the other individuals in the aggregator which can be matched with that individual, mapped to the degree with which they match the original individual (which is guaranteed to at least equal `min_threshold`)

## Since:

0.5.1